image: node:latest

cache:
  paths:
    - node_modules

build:
  stage: build
  script:
    - echo 'unsafe-perm = true' >> .npmrc
    - npm install
    - npm run build
  artifacts:
    expire_in: 1 week
    paths:
      - dist

deploy:
  stage: deploy
  script:
    - |
      {
        echo 'unsafe-perm = true'
        echo '@${CI_PROJECT_ROOT_NAMESPACE}:registry=${CI_SERVER_PROTOCOL}://${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/'
        echo '//${CI_SERVER_HOST}/api/v4/packages/npm/:_authToken=${CI_JOB_TOKEN}'
        echo '//${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}'
      } >> .npmrc
    - npm publish
  only:
    - master
